#{extends 'borderNG.html' /}

        <ol class="breadcrumb" style="background-color: #d9534f !important;">
            <li><a href="@{BerandaCtr.index()}">&{'kontrakpl.paketnont'}</a></li>
            <li class="active">&{'kontrakpl.ekontrak'}</li>
        </ol>
<div class="container">
    <div class="tab-pane active"">
        <div class="content tab-content">
            <div class="breadcrumb" >&{'kontrakpl.sppbjnontender'}</div>
    #{alert /}
        <table id="tblsppbj" class="table table-condensed">
            <thead>
            <tr>
                <th>&{'kontrakpl.no'}</th>
                <th>&{'kotrakpl.tanggal'}</th>
                <th>&{'kontrakpl.penyedia'}</th>
                <th>&{'kontrakpl.hgfinal'}</th>
                <th>&{'kontrakpl.kontrak'}</th>
                <th>SSKK</th>
                #{if pl.getPaket().pkt_pagu <= 200000000}
                <th>SPK</th>
                #{/if}
                #{else pl.getPaket().pkt_pagu > 200000000}
                <th>SPMK/SPP</th>
                #{/else}
                <th>&{'kontrakpl.pembayaran '}</th>
            *{<th>&{'kontrakpl.penilaian'}</th>}*
                <th>&{'kontrakpl.dokumenlain'}</th>
            </tr>
            </thead>
        </table>
        #{if allowCreateSppbj}
            <a class="btn btn-success" href="@{nonlelang.KontrakPlCtr.sppbjPpkPl(pl.lls_id)}">&{'kontrakpl.buat'} SPPBJ</a>
        #{/if}
        <a href="@{BerandaCtr.nonLelang()}"  class="btn btn-default">  &{'kontrakpl.kembali'}</a>
    </div>
</div>
</div>

#{set 'css_custom' }
<link href="#{assets '/bootstrap/css/bootstrap-datatables.min.css'/}" rel="stylesheet" type="text/css">
<link href="#{assets '/bootstrap/css/jquery.fileupload.css'/}" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/bootstrap/js/bootstrap-datatables.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/bootstrap/js/jquery.ui.widget.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/bootstrap/js/jquery.iframe-transport.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/bootstrap/js/jquery.fileupload.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/bootstrap/js/jquery.fileupload-process.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/bootstrap/js/jquery.fileupload-validate.js'/}"></script>
<script type="text/javascript">
    var viewSppbj  = #{jsRoute @nonlelang.KontrakPlCtr.sppbjPpkPl(pl.lls_id, ':id') /};
    var viewSuratPerjanjian  = #{jsRoute @nonlelang.KontrakPlCtr.suratPerjanjianPpkPl(':sppbj_id') /};
    var viewPesanan= #{jsRoute @nonlelang.KontrakPlCtr.suratPesananPpkPl(':id') /};
    var viewSPMK  = #{jsRoute @nonlelang.KontrakPlCtr.spmkpl(':id') /};;
    var viewSPK  = #{jsRoute @nonlelang.KontrakPlCtr.spkPl(':id') /};
    var viewSskk  = #{jsRoute @nonlelang.KontrakPlCtr.pilihCaraPembayaran(':id') /};
    var viewPembayaran  = #{jsRoute @nonlelang.KontrakPlCtr.daftarPembayaranPl(':id') /};
    var penilaian_sikap  = #{jsRoute @nonlelang.EvaluasiPLCtr.penilaian_sikap(':id') /};
    var viewDokumenLainnya = #{jsRoute @nonlelang.KontrakPlCtr.dokumenLainnyaPl(':id') /};

    $("#tblsppbj").dataTable({
        order: [[0, "desc"]],
        ajax: "@{DataTableCtr.ppkSppbjPl(pl.lls_id)}",
        columns: [
            {render: function(data, type, row) {
                var id = row[4];
                return '<u><a href="'+viewSppbj.url({id:id})+'"">'+row[0] + '</a></u>';
            }},
            null,
            null,
            {orderable:false},
            {orderable:false,render: function(data, type, row) {
                var id = row[4];
                return '<a href="'+viewSuratPerjanjian.url({sppbj_id:id})+'" class="btn-small btn-default">&{'kontrakpl.kontrak'}</a>';

            }},
            {orderable:false,render: function(data, type, row) {
			var kontrakId = row[6];
			if(kontrakId == null) {
				return '<a href="javascript:void(0)" disabled="disabled" class="btn-small btn-default">SSKK</a>';
			}
		 	var id = row[4];
			return '<a href="'+viewSskk.url({id:id})+'" class="btn-small btn-default dialog">SSKK</a>';
		}},
            {orderable:false,render: function(data, type, row) {
                var isBarang = row[5] == '0'
                var kontrakId = row[6];
                if(kontrakId == null) {
                #{if pl.getPaket().pkt_pagu <= 200000000}
                return '<a href="javascript:void(0)" disabled="disabled" class="btn-small btn-default">SPK</a>';
                #{/if}
                    return isBarang ? '<a href="javascript:void(0)" disabled="disabled" class="btn-small btn-default">&{'kontrakpl.suratpesanan'}</a>'
                            : '<a href="javascript:void(0)" disabled="disabled" class="btn-small btn-default">SPMK</a>';
                }
                var id = row[4];;
                 #{if pl.getPaket().pkt_pagu <= 200000000}
                return '<a href="'+viewSPK.url({id:id})+'" class="btn-small btn-default">SPK</a>';
                #{/if}
                return isBarang ? '<a href="'+viewPesanan.url({id:id})+'" class="btn-small btn-default">&{'kontrakpl.suratpesananpengirim'}</a>'
                        : '<a href="'+viewSPMK.url({id:id})+'" class="btn-small btn-default">SPMK</a>';
            }},
            {orderable:false,render: function(data, type, row) {
                var id = row[6];
                var kontrak_sskk = row[7];
			    if(kontrak_sskk == null) {
                    return '<a href="javascript:void(0)" disabled="disabled" class="btn-small btn-default">&{'kontrakpl.pembayaran'}</a>';
                }
                return '<a href="'+viewPembayaran.url({id:id})+'" class="btn-small btn-default">&{'kontrakpl.pembayaran'}</a>';
            }},
            {orderable:false,render: function(data, type, row) {
                var id = ${pl.lls_id};
                var kontrakId = row[6];
                if(kontrakId == null) {
                    return '<a href="javascript:void(0)" disabled="disabled" class="btn-small btn-default">&{'kontrakpl.doklainnya'}</a>';
                }
                return '<a href="'+viewDokumenLainnya.url({id:id})+'" class="btn-small btn-default">&{'kontrakpl.doklainnya'}</a>';
            }}//,
// 		{orderable:false,render: function(data, type, row) {
// 		 	var id = row[4];
// 			return '<a href="'+penilaian_sikap.url({id:id})+'" class="btn-small btn-default">Buat</a>';
// 		}}
        ]
    }).fnFilterOnReturn();

    $(document).on('click', '#fileupload', function(){
    var url = '@{nonlelang.KontrakPlCtr.uploadSskkSubmit(pl.lls_id)}';
	console.log($('#alert-upload'));
    $('#fileupload').fileupload({
        url: url,
        dataType: 'json',
        acceptFileTypes: /(\.|\/)(pdf)$/i,
        done: function (e, data) {
            $('#progress').hide();
            if (data.result.success) {
                $.each(data.result.files, function (index, file) {
                    var content = file.name + ' <a href="javascript:void(0)" class="removeDok" versi="' + file.versi + '"><i class="fa fa-trash-o" ></i></a>';
                    $('<li/>').html(content).appendTo('#files');
                });
                $('#alert-upload').hide();
            } else {
                $('#alert-upload').attr('class', 'alert alert-danger').html(data.result.message).show();
            }
        },
        progressall: function (e, data) {
            var progress = parseInt(data.loaded / data.total * 100, 10);
            $('#progress').show();
            $('#progress .progress-bar').css(
                    'width',
                    progress + '%'
            );
        }
    }).on('fileuploadprocessalways', function (e, data) {
        var file = data.files[data.index];
        if (data.files.error && file.error) {
            var msg = file.name+' - '+file.error
            $('#alert-upload').attr('class', 'alert alert-danger').html(msg)
        }
    }).prop('disabled', !$.support.fileInput).parent().addClass($.support.fileInput ? undefined : 'disabled');
});

$(document).on('click', '.removeDok', function(){
    var versi = $(this).attr('versi')
    var parent = $(this).parent()
    var source  = #{jsRoute @nonlelang.KontrakPlCtr.hapusSskkAttachment(pl?.lls_id) /};
    $.ajax({
        type: 'POST',
        url: source.url(),
        data : {'versi': versi},
        success : function(){
            $('#alert-upload').attr('class', 'alert alert-success').html('&{'kontrakpl.fileterhapus'}');
            parent.remove()
        },
        error : function(){
            $('#alert-upload').attr('class', 'alert alert-danger').html('&{'kontrakpl.tdkbisahapus'}');
        }
    })
});
</script>
#{/set}
